### Hierarchy

- Console

## Index

### Properties

- Console

### Methods

- assert
- clear
- count
- countReset
- debug
- dir
- dirxml
- error
- group
- groupCollapsed
- groupEnd
- info
- log
- markTimeline
- profile
- profileEnd
- table
- time
- timeEnd
- timeLog
- timeStamp
- timeline
- timelineEnd
- trace
- warn

## Properties

### Console

Console: ConsoleConstructor

- Defined in node_modules/@types/node/globals.d.ts:3

## Methods

### assert

- assert(value: any, message?: undefined | string, ...optionalParams: any[]): void

- - Defined in node_modules/@types/node/globals.d.ts:9

  A simple assertion test that verifies whether `value` is truthy. If it is not, an `AssertionError` is thrown. If provided, the error `message` is formatted using `util.format()` and used as the error message.

  #### Parameters

  - ##### value: any

  - ##### Optional message: undefined | string

  - ##### Rest ...optionalParams: any[]

  #### Returns void

### clear

- clear(): void

- - Defined in node_modules/@types/node/globals.d.ts:14

  When `stdout` is a TTY, calling `console.clear()` will attempt to clear the TTY. When `stdout` is not a TTY, this method does nothing.

  #### Returns void

### count

- count(label?: undefined | string): void

- - Defined in node_modules/@types/node/globals.d.ts:18

  Maintains an internal counter specific to `label` and outputs to `stdout` the number of times `console.count()` has been called with the given `label`.

  #### Parameters

  - ##### Optional label: undefined | string

  #### Returns void

### countReset

- countReset(label?: undefined | string): void

- - Defined in node_modules/@types/node/globals.d.ts:22

  Resets the internal counter specific to `label`.

  #### Parameters

  - ##### Optional label: undefined | string

  #### Returns void

### debug

- debug(message?: any, ...optionalParams: any[]): void

- - Defined in node_modules/@types/node/globals.d.ts:26

  The `console.debug()` function is an alias for {@link console.log()}.

  #### Parameters

  - ##### Optional message: any

  - ##### Rest ...optionalParams: any[]

  #### Returns void

### dir

- dir(obj: any, options?: InspectOptions): void

- - Defined in node_modules/@types/node/globals.d.ts:31

  Uses {@link util.inspect()} on `obj` and prints the resulting string to `stdout`. This function bypasses any custom `inspect()` function defined on `obj`.

  #### Parameters

  - ##### obj: any

  - ##### Optional options: InspectOptions

  #### Returns void

### dirxml

- dirxml(...data: any[]): void

- - Defined in node_modules/@types/node/globals.d.ts:35

  This method calls {@link console.log()} passing it the arguments received. Please note that this method does not produce any XML formatting

  #### Parameters

  - ##### Rest ...data: any[]

  #### Returns void

### error

- error(message?: any, ...optionalParams: any[]): void

- - Defined in node_modules/@types/node/globals.d.ts:39

  Prints to `stderr` with newline.

  #### Parameters

  - ##### Optional message: any

  - ##### Rest ...optionalParams: any[]

  #### Returns void

### group

- group(...label: any[]): void

- - Defined in node_modules/@types/node/globals.d.ts:44

  Increases indentation of subsequent lines by two spaces. If one or more `label`s are provided, those are printed first without the additional indentation.

  #### Parameters

  - ##### Rest ...label: any[]

  #### Returns void

### groupCollapsed

- groupCollapsed(): void

- - Defined in node_modules/@types/node/globals.d.ts:48

  The `console.groupCollapsed()` function is an alias for {@link console.group()}.

  #### Returns void

### groupEnd

- groupEnd(): void

- - Defined in node_modules/@types/node/globals.d.ts:52

  Decreases indentation of subsequent lines by two spaces.

  #### Returns void

### info

- info(message?: any, ...optionalParams: any[]): void

- - Defined in node_modules/@types/node/globals.d.ts:56

  The {@link console.info()} function is an alias for {@link console.log()}.

  #### Parameters

  - ##### Optional message: any

  - ##### Rest ...optionalParams: any[]

  #### Returns void

### log

- log(message?: any, ...optionalParams: any[]): void

- - Defined in node_modules/@types/node/globals.d.ts:60

  Prints to `stdout` with newline.

  #### Parameters

  - ##### Optional message: any

  - ##### Rest ...optionalParams: any[]

  #### Returns void

### markTimeline

- markTimeline(label?: undefined | string): void

- - Defined in node_modules/@types/node/globals.d.ts:94

  This method does not display anything unless used in the inspector. The console.markTimeline() method is the deprecated form of console.timeStamp().

  deprecated

    Use console.timeStamp() instead.

  #### Parameters

  - ##### Optional label: undefined | string

  #### Returns void

### profile

- profile(label?: undefined | string): void

- - Defined in node_modules/@types/node/globals.d.ts:99

  This method does not display anything unless used in the inspector. Starts a JavaScript CPU profile with an optional label.

  #### Parameters

  - ##### Optional label: undefined | string

  #### Returns void

### profileEnd

- profileEnd(label?: undefined | string): void

- - Defined in node_modules/@types/node/globals.d.ts:104

  This method does not display anything unless used in the inspector. Stops the current JavaScript CPU profiling session if one has been started and prints the report to the Profiles panel of the inspector.

  #### Parameters

  - ##### Optional label: undefined | string

  #### Returns void

### table

- table(tabularData: any, properties?: string[]): void

- - Defined in node_modules/@types/node/globals.d.ts:65

  This method does not display anything unless used in the inspector. Prints to `stdout` the array `array` formatted as a table.

  #### Parameters

  - ##### tabularData: any

  - ##### Optional properties: string[]

  #### Returns void

### time

- time(label?: undefined | string): void

- - Defined in node_modules/@types/node/globals.d.ts:69

  Starts a timer that can be used to compute the duration of an operation. Timers are identified by a unique `label`.

  #### Parameters

  - ##### Optional label: undefined | string

  #### Returns void

### timeEnd

- timeEnd(label?: undefined | string): void

- - Defined in node_modules/@types/node/globals.d.ts:73

  Stops a timer that was previously started by calling {@link console.time()} and prints the result to `stdout`.

  #### Parameters

  - ##### Optional label: undefined | string

  #### Returns void

### timeLog

- timeLog(label?: undefined | string, ...data: any[]): void

- - Defined in node_modules/@types/node/globals.d.ts:77

  For a timer that was previously started by calling {@link console.time()}, prints the elapsed time and other `data` arguments to `stdout`.

  #### Parameters

  - ##### Optional label: undefined | string

  - ##### Rest ...data: any[]

  #### Returns void

### timeStamp

- timeStamp(label?: undefined | string): void

- - Defined in node_modules/@types/node/globals.d.ts:109

  This method does not display anything unless used in the inspector. Adds an event with the label `label` to the Timeline panel of the inspector.

  #### Parameters

  - ##### Optional label: undefined | string

  #### Returns void

### timeline

- timeline(label?: undefined | string): void

- - Defined in node_modules/@types/node/globals.d.ts:116

  This method does not display anything unless used in the inspector. The console.timeline() method is the deprecated form of console.time().

  deprecated

    Use console.time() instead.

  #### Parameters

  - ##### Optional label: undefined | string

  #### Returns void

### timelineEnd

- timelineEnd(label?: undefined | string): void

- - Defined in node_modules/@types/node/globals.d.ts:123

  This method does not display anything unless used in the inspector. The console.timelineEnd() method is the deprecated form of console.timeEnd().

  deprecated

    Use console.timeEnd() instead.

  #### Parameters

  - ##### Optional label: undefined | string

  #### Returns void

### trace

- trace(message?: any, ...optionalParams: any[]): void

- - Defined in node_modules/@types/node/globals.d.ts:81

  Prints to `stderr` the string 'Trace :', followed by the {@link util.format()} formatted message and stack trace to the current position in the code.

  #### Parameters

  - ##### Optional message: any

  - ##### Rest ...optionalParams: any[]

  #### Returns void

### warn

- warn(message?: any, ...optionalParams: any[]): void

- - Defined in node_modules/@types/node/globals.d.ts:85

  The {@link console.warn()} function is an alias for {@link console.error()}.

  #### Parameters

  - ##### Optional message: any

  - ##### Rest ...optionalParams: any[]

  #### Returns void

Generated using TypeDoc